Chromium Code Reviews
Help | Chromium Project | Sign in
(120)

Issue 9701108: Don't filter shortcut keys when a tab is opened in app ("windowed") mode. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 years, 1 month ago by garykac
Modified:
3 years, 1 month ago
Reviewers:
Peter Kasting, Wez
CC:
chromium-reviews, Dmitry Lomov (chromium), jennb, Dmitry Titov, jianli, dcheng, Andrei
Visibility:
Public.

Description

Don't filter shortcut keys when a tab is opened in app mode (aka: windowed or pop-up mode). Currently, certain browser shortcut keys (ctrl-w/n/t) are not sent to the page. This is done to avoid issues with loading the page and waiting for a response before being able to handle the important shortcuts. This change removes that filtering *iff* the page is app mode (right-click and "Open as Window" from the "New Tab" page). BUG=84332 TEST=none Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=127787

Patch Set 1 #

Patch Set 2 : Trigger on apps #

Patch Set 3 : Comment #

Patch Set 4 : Update comment #

Patch Set 5 : Remove fullscreen trigger #

Patch Set 6 : Remove blank line #

Messages

Total messages: 9 (0 generated)
garykac
Peter, please take a look at this. It passes all keys to a tab if ...
3 years, 1 month ago (2012-03-19 20:39:47 UTC) #1
garykac
+wez
3 years, 1 month ago (2012-03-19 20:41:37 UTC) #2
Peter Kasting
I disagree that fullscreen mode should automatically result in the page getting all keys. I ...
3 years, 1 month ago (2012-03-19 21:48:05 UTC) #3
garykac
On 2012/03/19 21:48:05, Peter Kasting wrote: > I disagree that fullscreen mode should automatically result ...
3 years, 1 month ago (2012-03-20 02:32:03 UTC) #4
Peter Kasting
LGTM
3 years, 1 month ago (2012-03-20 02:37:53 UTC) #5
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/garykac@chromium.org/9701108/9001
3 years, 1 month ago (2012-03-20 17:48:17 UTC) #6
I haz the power (commit-bot)
Try job failure for 9701108-9001 (retry) on mac_rel for step "compile" (clobber build). It's a ...
3 years, 1 month ago (2012-03-20 18:42:24 UTC) #7
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/garykac@chromium.org/9701108/9001
3 years, 1 month ago (2012-03-20 18:44:09 UTC) #8
I haz the power (commit-bot)
3 years, 1 month ago (2012-03-20 21:22:13 UTC) #9
Change committed as 127787
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld e0e3771